Name:           md-renewed
Version:        2.0.0
Release:        1%{?dist}
Summary:        Restart service on Apache module mod_md certificate renewal
License:        MIT
Group:          System Environment/Base
URL:            http://netst.org/pub/fedora/st/
BuildArch:      noarch

Source0:        md-renewed-%{version}.tar.gz

BuildRequires:  cmake

Requires:       httpd
Requires:       mod_md

%{?systemd_requires}
BuildRequires:      systemd-rpm-macros

%description
Restart service on Apache module mod_md certificate renewal

%package ipa-dns
Summary:        FreeIPA DNS challange plugin
Requires:       python3-ipalib
Requires:       %name = %version-%release


%description ipa-dns
FreeIPA DNS challange plugin


%prep
%autosetup

%build

%cmake
%cmake_build

%install
%{__rm} -rf %{buildroot}
%cmake_install


%post
%systemd_post md-renewed.path
%systemd_post md-renewed.timer
%systemd_post md-renewed-install.timer

%preun
%systemd_preun md-renewed.path
%systemd_preun md-renewed.timer
%systemd_preun md-renewed-install.timer

%postun
%systemd_postun md-renewed.path
%systemd_postun md-renewed.timer
%systemd_postun md-renewed-install.timer

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)

%dir %{_sysconfdir}/md-renewed
%config(noreplace) %{_sysconfdir}/md-renewed/*
%config %{_sysconfdir}/httpd/conf.d/md-renewed.conf

%{_libexecdir}/md-renewed/md-renewed
%{_libexecdir}/md-renewed/md-renewed-install
%{_libexecdir}/md-renewed/md-message

%{_unitdir}/md-renewed.service
%{_unitdir}/md-renewed-install.service
%{_unitdir}/md-renewed.path
%{_unitdir}/md-renewed.timer
%{_unitdir}/md-renewed-install.timer

%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/errored
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/installed
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/installing
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/renewed
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/renewing
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/ocsp-renewed
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/ocsp-errored

%files ipa-dns
%{_libexecdir}/md-renewed/md-ipa-dns
%config(noreplace) %{_sysconfdir}/httpd/conf.d/md-renewed-ipa-dns.conf
%config(noreplace) %{_sysconfdir}/gssproxy/20-mod_md.conf

%changelog
* Tue Nov  30 2021 Zoran Pericic <zpericic@netst.org> - 1.0.0-1
Initial release
